Package net.sf.saxon.expr

## Class PJConverter.ToOneOrMore

- java.lang.Object
- - net.sf.saxon.expr.PJConverter
  - - net.sf.saxon.expr.PJConverter.ToOneOrMore

- Enclosing class:
    PJConverter

      public static class PJConverter.ToOneOrMore
      extends PJConverter

  Converter for use when the target class is `OneOrMore`, which constrains the value to be a non-empty sequence

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.expr.PJConverter

      `PJConverter.AnyURIValueToURI, PJConverter.AnyURIValueToURL, PJConverter.Atomic, PJConverter.BooleanValueToBoolean, PJConverter.CalendarValueToCalendar, PJConverter.CalendarValueToDate, PJConverter.CalendarValueToInstant, PJConverter.CalendarValueToLocalDateTime, PJConverter.CalendarValueToOffsetDateTime, PJConverter.CalendarValueToZonedDateTime, PJConverter.DateValueToLocalDate, PJConverter.General, PJConverter.Identity, PJConverter.IntegerValueToBigInteger, PJConverter.IntegerValueToByte, PJConverter.IntegerValueToChar, PJConverter.IntegerValueToInt, PJConverter.IntegerValueToLong, PJConverter.IntegerValueToShort, PJConverter.NumericValueToBigDecimal, PJConverter.NumericValueToDouble, PJConverter.NumericValueToFloat, PJConverter.QualifiedNameValueToQName, PJConverter.StringValueToChar, PJConverter.StringValueToString, PJConverter.ToArray, PJConverter.ToCollection, PJConverter.ToNull, PJConverter.ToOne, PJConverter.ToOneOrMore, PJConverter.ToSequenceExtent, PJConverter.ToSequenceIterator, PJConverter.ToZeroOrMore, PJConverter.ToZeroOrOne, PJConverter.UnwrapExternalObject`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PJConverter.ToOneOrMore` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ToOneOrMore()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OneOrMore<Item>` | `convert​(Sequence value, java.lang.Class<?> targetClass, XPathContext context)` | Convert an XPath value to a Java value of a specified class

    - ### Methods inherited from class net.sf.saxon.expr.PJConverter

      `allocate, allocateNodeListCreator, getEquivalentSequenceType, getParameterizedSequenceType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final PJConverter.ToOneOrMore INSTANCE

  - ### Constructor Detail

    - #### ToOneOrMore

          public ToOneOrMore()

  - ### Method Detail

    - #### convert

          public OneOrMore<Item> convert​(Sequence value,
                                         java.lang.Class<?> targetClass,
                                         XPathContext context)
                                  throws XPathException

      Description copied from class: `PJConverter`
      Convert an XPath value to a Java value of a specified class
      Specified by:
        `convert` in class `PJConverter`
      Parameters:
        `value` - the supplied XPath value
        `targetClass` - the class of the required Java value
        `context` - the XPath dynamic context
      Returns:
        the corresponding Java value, which is guaranteed to be an instance of the target class (except that an empty sequence is converted to null)
      Throws:
        `XPathException` - if the conversion is not possible or fails